=== requirements.txt ===
# See nipy/info.py for requirement definitions
numpy>=1.14
scipy>=1.0
sympy>=1.0
nibabel>=2.0
