=== debian/changelog ===
nipy (0.5.0-7) unstable; urgency=medium

  * Team upload.
  * d/control: build depends on python3-pytest.
  * nibabel5.0.0.patch: add; fix unit test failure with nibabel 5.
    (Closes: #1030138)

 -- Étienne Mollier <emollier@debian.org>  Tue, 31 Jan 2023 22:51:15 +0100

nipy (0.5.0-6) unstable; urgency=medium

  [ Étienne Mollier ]
  * d/control: add myself to uploaders.
  * d/rules: dynamically patch numpy aliases.

  [ Bas Couwenberg ]
  * Add gbp.conf to use pristine-tar & --source-only-changes by default.

  [ Étienne Mollier ]
  * numpy1.24.patch: add; fix remaining test failure.
    (Closes: #1027255, #1028778)
  * d/copyright: bump copyright year.
  * d/*.lintian-overrides: remove; unused overrides.

 -- Étienne Mollier <emollier@debian.org>  Sat, 14 Jan 2023 14:53:10 +0100

nipy (0.5.0-5) unstable; urgency=medium

  * Team upload.
  * d/rules: regenerate C source from .pyx with Cython. (Closes: #1024036)
  * d/control: manpages unreadable currently, so disabled.
  * d/control: bring back support to all python3 versions.

 -- Étienne Mollier <emollier@debian.org>  Thu, 05 Jan 2023 23:41:51 +0100

nipy (0.5.0-4) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS (Closes: #1026484)
  * Bump SV to 4.6.2

 -- Nilesh Patra <nilesh@debian.org>  Wed, 21 Dec 2022 19:11:34 +0530

nipy (0.5.0-3) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Standards-Version: 4.6.1 (routine-update)

  [ Étienne Mollier ]
  * d/control: only support python3-dev (3.10) instead of python3-all-dev.
    This buys some time while failure to build against Python 3.11
    (see #1024036) is addressed upstream.

 -- Étienne Mollier <emollier@debian.org>  Tue, 15 Nov 2022 21:16:44 +0100

nipy (0.5.0-2) unstable; urgency=medium

  * Team upload.
  * Drop debug package
    Closes: #994315

 -- Andreas Tille <tille@debian.org>  Wed, 22 Sep 2021 15:41:40 +0200

nipy (0.5.0-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * debian/patches: removed very old patches
                    cleaned up patch headers
  * debian/watch: modernize to version 4
  * debian/control: add Multi-Arch metadata as per the hinter
  * Drop patches merged upstream.
  * debian/rules: adjust path to scripts during the tests

  [ Steffen Moeller ]
  * Fix watchfile to detect new versions on github (routine-update)

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 02 Sep 2021 21:37:24 +0200
