=== debian/control ===
Source: nipy
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>,
           Étienne Mollier <emollier@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-setuptools,
               python3-scipy,
               python3-numpy,
               python3-matplotlib,
               python3-sphinx,
               python3-ipython,
               python3-texext,
               cython3,
               python3-numpydoc,
               python3-nibabel,
               python3-nose,
               python3-nose-exclude,
               python3-pytest,
               python3-sympy,
               liblapack-dev,
               libblas-dev,
               graphviz,
               dvipng,
               help2man
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/nipy
Vcs-Git: https://salsa.debian.org/med-team/nipy.git
Homepage: https://nipy.org/nipy/
Rules-Requires-Root: no

Package: python3-nipy
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-scipy,
         python3-numpy,
         python3-nibabel,
         python3-nipy-lib (>= ${source:Version})
Recommends: python3-matplotlib,
            mayavi2,
            python3-sympy
Suggests: python3-mvpa
Breaks: python-nipy
Replaces: python-nipy
Description: Analysis of structural and functional neuroimaging data
 NiPy is a Python-based framework for the analysis of structural and
 functional neuroimaging data.  It provides functionality for
  - General linear model (GLM) statistical analysis
  - Combined slice time correction and motion correction
  - General image registration routines with flexible cost functions,
    optimizers and re-sampling schemes
  - Image segmentation
  - Basic visualization of results in 2D and 3D
  - Basic time series diagnostics
  - Clustering and activation pattern analysis across subjects
  - Reproducibility analysis for group studies

Package: python3-nipy-lib
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Description: Analysis of structural and functional neuroimaging data (compiled modules)
 NiPy is a Python-based framework for the analysis of structural and
 functional neuroimaging data.
 .
 This package provides architecture-dependent builds of the libraries.

Package: python-nipy-doc
Architecture: all
Multi-Arch: foreign
Built-Using: ${sphinxdoc:Built-Using}
Section: doc
Depends: libjs-mathjax,
         ${misc:Depends},
         ${sphinxdoc:Depends},
Recommends: python3-nipy
Description: documentation and examples for NiPy
 This package contains NiPy documentation in various formats (HTML,
 TXT) including
  * User manual
  * Developer guidelines
  * API documentation
