=== debian/watch ===
version=4
opts="uversionmangle=s/rc/~rc/, filenamemangle=s%(?:.*?)?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/nipy/nipy//tags (?:.*?/)?v?@ANY_VERSION@\.tar\.gz
