=== debian/changelog ===
nipy (0.6.0-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:41:52 +0000

nipy (0.6.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Add alternatives
      liblapack-dev | liblapack.so,
      libblas-dev | libblas.so,

  [ Komolehin Israel Timilehin ]
  * Added autopkgtest

  [ Étienne Mollier ]
  * New upstream version  (Closes: #1056693, #1056823)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * sphinx-ext patch: delete: applied upstream.
  * numpy-fix.patch: delete: issues fixed upstream.
  * numpy1.24.patch: delete: applied upstream.
  * nibabel5.0.0.patch: delete: applied upstream.
  * nibabel5.1.0.patch: delete: issue fixed upstream.
  * standard-gifty-support.patch: delete: fixed upstream.
  * remove-imagefileerror.patch: delete: fixed upstream.
  * python3-shebang.patch: new: ensure scripts run python3.
  * d/rules: remove execute_before_dh_auto_build.
    The numpy automated patching and the recompilation of cython objects
    have become unneed.
  * d/control: build depends on python3-mesonpy.
  * d/rules: remove all tests overrides.
    With the new system, pybuild is now capturing the test suite properly.
  * d/control: tests depend on python3-transforms3d.
  * d/rules: remove unexport of LDFLAGS.
    The underlying issue with distutils is not current anymore.
  * d/control: remove dependency on nose. (Closes: #1018423)
  * d/rules: reinforce documentation building process.
  * d/{control,rules}: migrate to dh-sequence-python3.
  * d/t/control: tests depend on pytest.
  * d/copyright: delete reference to removed file.
  * d/copyright: bump upstream copyright year.

 -- Étienne Mollier <emollier@debian.org>  Sat, 30 Dec 2023 23:49:25 +0100

nipy (0.5.0-8) unstable; urgency=medium

  [ Yaroslav Halchenko ]
  * removed myself and Michael since we have not attended to this package for
    awhile

  [ Étienne Mollier ]
  * nibabel5.0.0.patch: update following review upstream.
    Thanks to Chris Markiewicz and Yaroslav Halchenko
  * d/control: build depends on pybuild-plugin-pyproject.
  * nibabel5.1.0.patch: new: resolve test failures.
    These test failures are related to the introduction of the newer
    nibabel version in Debian, which deprecates a couple of functions,
    resulting in some build time test errors in nipy. (Closes: #1042053)
  * standard-gifty-support.patch: new: fix gifti error.
  * remove-imagefileerror.patch: new: remove obsolete import.

 -- Étienne Mollier <emollier@debian.org>  Thu, 17 Aug 2023 21:07:20 +0200
