=== debian/control ===
--- 
+++ 
@@ -1,30 +1,29 @@
 Source: nipy
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
-           Michael Hanke <michael.hanke@gmail.com>,
-           Étienne Mollier <emollier@debian.org>
+Uploaders: Étienne Mollier <emollier@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-setuptools,
                python3-scipy,
                python3-numpy,
                python3-matplotlib,
+               python3-mesonpy,
                python3-sphinx,
                python3-ipython,
                python3-texext,
-               cython3,
+               python3-transforms3d <!nocheck>,
                python3-numpydoc,
                python3-nibabel,
-               python3-nose,
-               python3-nose-exclude,
                python3-pytest,
                python3-sympy,
-               liblapack-dev,
-               libblas-dev,
+               liblapack-dev | liblapack.so,
+               libblas-dev | libblas.so,
+               cython3,
                graphviz,
                dvipng,
                help2man
@@ -47,8 +46,6 @@
             mayavi2,
             python3-sympy
 Suggests: python3-mvpa
-Breaks: python-nipy
-Replaces: python-nipy
 Description: Analysis of structural and functional neuroimaging data
  NiPy is a Python-based framework for the analysis of structural and
  functional neuroimaging data.  It provides functionality for
@@ -77,12 +74,12 @@
 Package: python-nipy-doc
 Architecture: all
 Multi-Arch: foreign
-Built-Using: ${sphinxdoc:Built-Using}
 Section: doc
 Depends: libjs-mathjax,
          ${misc:Depends},
-         ${sphinxdoc:Depends},
+         ${sphinxdoc:Depends}
 Recommends: python3-nipy
+Built-Using: ${sphinxdoc:Built-Using}
 Description: documentation and examples for NiPy
  This package contains NiPy documentation in various formats (HTML,
  TXT) including
