=== debian/tests/control ===
Test-Command: cd debian/tests && python3 -m pytest nipy_test.py
Depends: python3-nipy, python3-nipy-lib, python-nipy-doc, python3-pytest
Restrictions: allow-stderr
