## nipy 0.6.1

=== requirements.txt ===
# See pyproject.toml for requirement definitions
numpy>=1.22
scipy>=1.8
sympy>=1.9
nibabel>=3.2
transforms3d
