=== doc/Makefile ===
--- 
+++ 
@@ -110,10 +110,10 @@
 	@echo "Link check complete; look for any errors in the above output " \
 	      "or in build/linkcheck/output.txt."
 
-clean-doctest: clean doctest-only
+clean-doctest: clean doctest
 	# Clean avoids testing API docs
 
-doctest-only:
+doctest:
 	mkdir -p build/doctest build/doctrees
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
 	@echo
