=== debian/changelog ===
nipy (0.6.1-3) unstable; urgency=medium

  * bool-type-error.patch: new: fix test failures. (Closes: #1117755)
  * d/watch: convert to v5 Github template.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/rules: enable binaries hardening.

 -- Étienne Mollier <emollier@debian.org>  Fri, 24 Oct 2025 22:41:20 +0200

nipy (0.6.1-2) unstable; urgency=medium

  * Team upload.
  * Pick up patch submitted to upstream for NumPy 2.3 support. Closes:
    #1114704
  * d/control: switch to autopkgtest-pkg-pybuild.
  * Standards-Version: 4.7.2 (routine-update)
  * Add missing build dependency on python3-numpy-dev for command dh_numpy3.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Sep 2025 16:41:30 +0200

nipy (0.6.1-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.6.1
  * Remove obsolete patches, upstream has dropped Python2 support.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 20 Oct 2024 17:34:34 +0200

nipy (0.6.0-2) unstable; urgency=medium

  * gcc-14.patch: new: fix build failure with gcc 14. (Closes: #1075317)
  * sympy-1.13.patch: new: fix test failures with sympy 1.13.
  * d/control: declare compliance to standards version 4.7.0.
  * d/rules: remove an extra license file.
  * python3-shebang.patch: forwarded upstream.
  * d/python3-nipy.lintian-overrides: new: flag non-docs in dist-packages.

 -- Étienne Mollier <emollier@debian.org>  Wed, 04 Sep 2024 14:48:01 +0200
