=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,16 @@
 
 PYVER = $(shell py3versions -vd)
 export PYBUILD_NAME = nipy
-
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export NIPY_EXTERNAL_LAPACK=1
 
 # stop matplotlib from thinking it should display plots
 export MPLBACKEND=Agg
+
+DESTDIR = $(CURDIR)/debian/python3-$(PYBUILD_NAME)
+DISTDIR = $(DESTDIR)/usr/lib/python3/dist-packages
+
+export PYBUILD_TEST_ARGS=--pyargs nipy
 
 # Mega rule
 %:
@@ -20,7 +25,7 @@
 manpages:
 	@echo "I: generating manpages"
 	set -e; mkdir -p $(CURDIR)/build/manpages && \
-	cd $(CURDIR)/debian/python3-nipy/usr/bin/ && for f in *; do \
+	cd $(DESTDIR)/usr/bin/ && for f in *; do \
 		descr=$$(grep -h -e "^ *'''" -e 'DESCRIP =' $$f | sed -e "s,.*' *\([^'][^']*\)'.*,\1,g" | head -n 1); \
         PYTHONPATH=../ \
 		help2man -n "$$descr" --no-discard-stderr --no-info --version-string "$(DEB_VERSION_UPSTREAM)" "python3 ./$$f" \
@@ -41,7 +46,7 @@
 
 override_dh_install:
 	: # I: Move libraries into the python3-nipy-lib packages
-	( cd debian/python3-nipy/ && \
+	( cd $(DESTDIR) && \
 	  find . -iname *.so | \
 	    while read so; do \
 	      d=../python3-nipy-lib/$$(dirname $$so); \
@@ -55,6 +60,7 @@
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
+	rm -vf $(DISTDIR)/nipy/algorithms/statistics/models/LICENSE.txt
 
 ## immediately usable documentation and exemplar scripts/data
 override_dh_compress:
