=== debian/watch ===
Version: 5

Template: Github
Owner: nipy
Project: nipy
Uversionmangle: s/rc/~rc/
